body {
  margin: 0;
}

.loader-container {
  align-items: center;
  justify-content: center;
  display: flex;
  width: 100%;
  height: 100%;
  overflow: hidden;
  min-height: 100vh;
  background: oklch(29.3% 0.066 243.157);
}

.loader {
  display: flex;
  align-items: center;
  justify-content: center;
  perspective: 800px;
  position: relative;
  margin: auto;
}

middle {
  position: absolute;
  top: 50%;
  left: 50%;
}

.sun {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: wobble 8s linear infinite;
}

.beams {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 200vmax;
  height: 200vmax;
  opacity: 0.2;
  transform: translate(-50%, -50%);
  background: repeating-conic-gradient(from 0deg, oklch(93% 0.19 95) 0deg 1.5deg, transparent 1.5deg 6deg);
  -webkit-mask: radial-gradient(circle, oklch(0% 0 0 / 0) 96px, oklch(0% 0 0 / 1) 128px, oklch(0% 0 0 / 0) 70%);
  mask: radial-gradient(circle, oklch(0% 0 0 / 0) 96px, oklch(0% 0 0 / 1) 128px, oklch(0% 0 0 / 0) 70%);
  mix-blend-mode: screen;
  pointer-events: none;
}

.loader img {
  position: relative;
  z-index: 1;
}

@keyframes wobble {
  0% {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(10deg);
  }
  50% {
    transform: rotate(0deg);
  }
  75% {
    transform: rotate(-10deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
